    The XSPEC plcabs model: powerlaw observed through dense, cold matter.

xsplcabs
The xsplcabs model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsplcabs", "mdl")
>>> print(mdl)

Create a component of the xsplcabs model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.nH thawed 1 0 1e+06 10^22 atoms / cm^2 mdl.nmax frozen 1 -3.40282e+38 3.40282e+38 mdl.FeAbun frozen 1 0 10 mdl.FeKedge frozen 7.11 7 10 KeV mdl.PhoIndex thawed 2 -3 10 mdl.HighECut frozen 95 0.01 200 keV mdl.foldE frozen 100 1 1e+06 mdl.acrit frozen 1 0 1 mdl.FAST frozen 0 -3.40282e+38 3.40282e+38 mdl.redshift frozen 0 -0.999 10 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
nH
The column density, in units of 10^22 cm^-2.
nmax
The maximum number of scatterings. This parameter can not be thawed.
FeAbun
The iron abundance.
FeKedge
The energy of the Fe K edge, in keV.
PhoIndex
The power law photon index.
HighECut
The high-energy cut-off threshold energy, in keV.
foldE
The high-energy cut-off e-folding energy, in keV.
acrit
The critical albedo for switching to elastic scattering. See

[1] for more details.
FAST
If set to a value above 1, use a mean energy shift instead of integration. This parameter can not be thawed.
redshift
The redshift of the source.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelPlcabs.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023